Subject: Re: [secdir] secdir review of draft-ietf-ospf-security-extension-manual-keying-09

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 3 Nov 2014 15:11:15 +0000

Shaun,
Thanks for your review.
Acee

From: "Shaun Cooley (shcooley)" <[email-masked]<mailto:[email-masked]>>
Date: Monday, October 27, 2014 at 7:30 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: secdir review of draft-ietf-ospf-security-extension-manual-keying-09
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Alia Atlas <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Manav Bhatia <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Monday, October 27, 2014 at 7:30 PM

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This document addresses both inter-session and intra-session replay attacks when using manual keying for OSPFv2 by changing the sequence numbers to be 64-bit, with the most significant 32-bits being a boot count and the least significant 32-bits to be an increasing sequence number.  The document also changes the Apad constant to match the source address of the IP header in order to extend authenticated data to prevent source address spoofing.

The document was well written and I very much appreciated the redline style approach to the draft.

I consider this document ready for publication.

-Shaun